Package org.apache.tomcat.util.json

# Class JSONFilter

java.lang.Object
org.apache.tomcat.util.json.JSONFilter

public class JSONFilter extends Object
Provides escaping of values so they can be included in a JSON document. Escaping is based on the definition of JSON found in RFC 8259.

## Method Summary

Modifier and Type
Method
Description
`static char[]`
`escape(char c)`
Escape the given char.
`static CharSequence`
`escape(CharSequence input)`
Escape the given char sequence.
`static CharSequence`
`escape(CharSequence input, int off, int length)`
Escape the given char sequence.
`static String`
`escape(String input)`
Escape the given string.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### escape

public static char[] escape(char c)
Escape the given char.

Parameters:
  `c` - the char
Returns:
  a char array with the escaped sequence

### escape

public static String escape(String input)
Escape the given string.

Parameters:
  `input` - the string
Returns:
  the escaped string

### escape

public static CharSequence escape(CharSequence input)
Escape the given char sequence.

Parameters:
  `input` - the char sequence
Returns:
  the escaped char sequence

### escape

public static CharSequence escape(CharSequence input, int off, int length)
Escape the given char sequence.

Parameters:
  `input` - the char sequence
  `off` - the offset on which escaping will start
  `length` - the length which should be escaped
Returns:
  the escaped char sequence corresponding to the specified range